<?php

// Each hook needs to be added to this array and have a function added below
// for the action plugin to see it.
// Child themes can use the pagelines_hooks filter and have their functions stored locally

function pagelines_get_hooks() {
	$hooks = array(
		'pagelines_after_excerpt',
		'brandnav_after_brand',
		'brandnav_after_nav',
		'pagelines_loop_post_start',
		'pagelines_loop_page_title_after',
		'pagelines_loop_post_header_start',
		'pagelines_loop_before_post_content',
		'pagelines_loop_after_post_content',
		'pagelines_loop_post_end',
		'pagelines_loop_clipbox_start',
		'pagelines_loop_clip_start',
		'pagelines_loop_clip_excerpt_end',
		'pagelines_loop_clip_end',
		'pagelines_loop_clipbox_end',
		'pagelines_soapbox_links',
		'pagelines_soapbox_inside_bottom',
		'pagelines_box_inside_bottom',
		'pagelines_feature_before',
		'pagelines_fcontent_before',
		'pagelines_feature_text_top',
		'pagelines_feature_text_bottom',
		'pagelines_fcontent_after',
		'pagelines_feature_media_top',
		'pagelines_feature_after',
		'pagelines_feature_nav_before',
		'pagelines_before_twitterbar_text',
		'pagelines_before_branding_icons',
		'pagelines_branding_icons_start',
		'pagelines_branding_icons_end',
		'pagelines_after_branding_wrap',
		'pagelines_content_before_columns',
		'pagelines_content_before_maincolumn',
		'pagelines_content_before_sidebar1',
		'pagelines_content_after_sidebar1'
		);
	return apply_filters('pagelines_hooks', $hooks);
}

function pl_brandnav_after_brand() {
	pl_do_hook( 'brandnav_after_brand' );
}

function pl_brandnav_after_nav() {
	pl_do_hook( 'brandnav_after_nav' );
}

function pl_pagelines_after_excerpt() {
	pl_do_hook( 'pagelines_after_excerpt' );
}

function pl_pagelines_loop_post_start() {
	pl_do_hook( 'pagelines_loop_post_start' );
}

function pl_pagelines_loop_page_title_after() {
	pl_do_hook( 'pagelines_loop_page_title_after' );
}

function pl_pagelines_loop_post_header_start() {
	pl_do_hook( 'pagelines_loop_post_header_start' );
}

function pl_pagelines_loop_before_post_content() {
	pl_do_hook( 'pagelines_loop_before_post_content' );
}

function pl_pagelines_loop_after_post_content() {
	pl_do_hook( 'pagelines_loop_after_post_content' );
}

function pl_pagelines_loop_post_end() {
	pl_do_hook( 'pagelines_loop_post_end' );
}

function pl_pagelines_loop_clipbox_start() {
	pl_do_hook( 'pagelines_loop_clipbox_start' );
}

function pl_pagelines_loop_clip_start() {
	pl_do_hook( 'pagelines_loop_clip_start' );
}

function pl_pagelines_loop_clip_excerpt_end() {
	pl_do_hook( 'pagelines_loop_clip_excerpt_end' );
}

function pl_pagelines_loop_clip_end() {
	pl_do_hook( 'pagelines_loop_clip_end' );
}

function pl_pagelines_loop_clipbox_end() {
	pl_do_hook( 'pagelines_loop_clipbox_end' );
}

function pl_pagelines_soapbox_links() {
	pl_do_hook( 'pagelines_soapbox_links' );
}

function pl_pagelines_soapbox_inside_bottom() {
	pl_do_hook( 'pagelines_soapbox_inside_bottom' );
}

function pl_pagelines_box_inside_bottom() {
	pl_do_hook( 'pagelines_box_inside_bottom' );
}

function pl_pagelines_feature_before() {
	pl_do_hook( 'pagelines_feature_before' );
}

function pl_pagelines_fcontent_before() {
	pl_do_hook( 'pagelines_fcontent_before' );
}

function pl_pagelines_feature_text_top() {
	pl_do_hook( 'pagelines_feature_text_top' );
}

function pl_pagelines_feature_text_bottom() {
	pl_do_hook( 'pagelines_feature_text_bottom' );
}

function pl_pagelines_fcontent_after() {
	pl_do_hook( 'pagelines_fcontent_after' );
}

function pl_pagelines_feature_media_top() {
	pl_do_hook( 'pagelines_feature_media_top' );
}

function pl_pagelines_feature_after() {
	pl_do_hook( 'pagelines_feature_after' );
}

function pl_pagelines_feature_nav_before() {
	pl_do_hook( 'pagelines_feature_nav_before' );
}

function pl_pagelines_before_twitterbar_text() {
	pl_do_hook( 'pagelines_before_twitterbar_text' );
}

function pl_pagelines_before_branding_icons() {
	pl_do_hook( 'pagelines_before_branding_icons' );
}

function pl_pagelines_branding_icons_start() {
	pl_do_hook( 'pagelines_branding_icons_start' );
}

function pl_pagelines_branding_icons_end() {
	pl_do_hook( 'pagelines_branding_icons_end' );
}

function pl_pagelines_after_branding_wrap() {
	pl_do_hook( 'pagelines_after_branding_wrap' );
}

function pl_pagelines_content_before_columns() {
	pl_do_hook( 'pagelines_content_before_columns' );
}

function pl_pagelines_content_before_maincolumn() {
	pl_do_hook( 'pagelines_content_before_maincolumn' );
}

function pl_pagelines_content_before_sidebar1() {
	pl_do_hook( 'pagelines_content_before_sidebar1' );
}

function pl_pagelines_content_after_sidebar1() {
	pl_do_hook( 'pagelines_content_after_sidebar1' );
}